srecord: srecord::adler16 Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::adler16 Class Reference

The adler16 class is used to represent the running value of a 16-bit Adler checksum of series of bytes. More...

`#include <adler16.h>`

## Public Member Functions
virtual | ~adler16 ()
| The destructor.
| adler16 ()
| The default constructor.
| adler16 (const adler16 &)
| The copy constructor.
adler16 & | operator= (const adler16 &)
| The assignment operator.
unsigned short | get () const
| The get method is used to obtain the running value of the checksum.
void | next (unsigned char)
| The next method is used to advance the state by one byte.
void | nextbuf (const void *, size_t)
| The nextbuf method is used to advance the state by a series of bytes.

## Detailed Description

The adler16 class is used to represent the running value of a 16-bit Adler checksum of series of bytes.

(Using an algorith analogous to Adler-32, but using mod 251 instead of 65521).

Definition at line 32 of file adler16.h.

## Constructor & Destructor Documentation

## ◆ ~adler16()

virtual srecord::adler16::~adler16 | ( |  | ) |
| virtual

The destructor.

## ◆ adler16() [1/2]

srecord::adler16::adler16 | ( |  | ) |

The default constructor.

Referenced by adler16(), and operator=().

## ◆ adler16() [2/2]

srecord::adler16::adler16 | ( | const adler16 & |  | ) |

The copy constructor.

References adler16().

## Member Function Documentation

## ◆ operator=()

adler16 & srecord::adler16::operator= | ( | const adler16 & |  | ) |

The assignment operator.

References adler16().

## ◆ get()

unsigned short srecord::adler16::get | ( |  | ) | const

The get method is used to obtain the running value of the checksum.

## ◆ next()

void srecord::adler16::next | ( | unsigned char |  | ) |

The next method is used to advance the state by one byte.

## ◆ nextbuf()

void srecord::adler16::nextbuf | ( | const void * | ,
|  | size_t | )

The nextbuf method is used to advance the state by a series of bytes.

The documentation for this class was generated from the following file:

- adler16.h